aboutsummaryrefslogtreecommitdiffstats
path: root/main/mdocml/APKBUILD
diff options
context:
space:
mode:
authorIsaac Dunham <ibid.ag@gmail.com>2016-03-04 23:17:46 -0800
committerNatanael Copa <ncopa@alpinelinux.org>2016-03-22 10:31:45 +0000
commit2ff5365db672970079f40b1d9b252989ce4e3a07 (patch)
tree35a57c59f29df43dc96e7bb8178ff8ef466915c0 /main/mdocml/APKBUILD
parent0fb032df23d9f7e7c83a8d50c56cc0329e7ac10b (diff)
downloadaports-2ff5365db672970079f40b1d9b252989ce4e3a07.tar.gz
aports-2ff5365db672970079f40b1d9b252989ce4e3a07.tar.bz2
aports-2ff5365db672970079f40b1d9b252989ce4e3a07.tar.xz
main/mdocml: force symbolic links instead of hard
Diffstat (limited to 'main/mdocml/APKBUILD')
-rw-r--r--main/mdocml/APKBUILD7
1 files changed, 6 insertions, 1 deletions
diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index 95ef844062..096b570080 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mdocml
pkgver=1.13.3
-pkgrel=5
+pkgrel=6
pkgdesc="mdoc/man compiler"
url="http://mdocml.bsd.lv/"
arch="all"
@@ -45,6 +45,11 @@ package() {
cd "$_builddir"
make -j1 DESTDIR="$pkgdir" base-install db-install || return 1
install -Dm644 "$srcdir"/man.conf "$pkgdir"/etc/man.conf || return 1
+ for X in usr/bin/apropos usr/bin/whatis usr/bin/man usr/sbin/makewhatis
+ do
+ rm -f "$pkgdir/$X" || return 1
+ ln -s /usr/bin/mandoc "$pkgdir/$X" || return 1
+ done
}
man() {